Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class ReportsCount

    java.lang.Object
      org.jbehave.core.reporters.ReportsCount

    public class ReportsCount

extends Object

Constructor Summary
`ReportsCount(int stories, int storiesNotAllowed, int storiesPending, int scenarios, int scenariosFailed, int scenariosNotAllowed, int scenariosPending, int stepsFailed)`

Method Summary
`boolean` | `failed()`
`int` | `getScenarios()`
`int` | `getScenariosFailed()`
`int` | `getScenariosNotAllowed()`
`int` | `getScenariosPending()`
`int` | `getStepFailed()`
`int` | `getStories()`
`int` | `getStoriesNotAllowed()`
`int` | `getStoriesPending()`
`boolean` | `pending()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReportsCount

    public ReportsCount(int stories,
                        int storiesNotAllowed,
                        int storiesPending,
                        int scenarios,
                        int scenariosFailed,
                        int scenariosNotAllowed,
                        int scenariosPending,
                        int stepsFailed)

Method Detail

### getStories

    public int getStories()

### getStoriesNotAllowed

    public int getStoriesNotAllowed()

### getStoriesPending

    public int getStoriesPending()

### getScenarios

    public int getScenarios()

### getScenariosFailed

    public int getScenariosFailed()

### getScenariosNotAllowed

    public int getScenariosNotAllowed()

### getScenariosPending

    public int getScenariosPending()

### getStepFailed

    public int getStepFailed()

### failed

    public boolean failed()

### pending

    public boolean pending()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.